python-numpy (1:1.16.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 31 Jan 2019 22:21:17 -0500

python-numpy (1:1.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Jan 2019 22:49:04 -0500

python-numpy (1:1.16.0~rc2-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Emilio Pozuelo Monfort ]
  * Add more breaks for older versions of packages not compatible with
    Numpy 1.16.
  * Fix breaks on python-astropy. Closes: #918544.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 11 Jan 2019 14:51:15 +0100

python-numpy (1:1.16.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/control
    - restore b-d on libblas-dev and liblapack-dev, instead of
      libatlas-base-dev; Closes: #913567
    - Add Breaks for packages not compatible with 1.16; Closes: #918399
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/patches/0007-fix-test_various_alignments.patch
    - drop, applied upstream

 -- Sandro Tosi <morph@debian.org>  Sat, 05 Jan 2019 19:54:44 -0500

python-numpy (1:1.16.0~rc1-3) unstable; urgency=medium

  * debian/control
    - add pkg_resources to Depends, needed by f2py; Closes: #917878

 -- Sandro Tosi <morph@debian.org>  Mon, 31 Dec 2018 14:39:01 -0500

python-numpy (1:1.16.0~rc1-2) unstable; urgency=medium

  * debian/patches/0007-fix-test_various_alignments.patch
    - fix FTBFS on i386 archs due to tests suite being Aborted
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 26 Dec 2018 11:37:59 -0500

python-numpy (1:1.16.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/copyright
    - update upstream copyright years
  * debian/patch
    - refresh, drop
  * debian/rules
    - remove override_dh_python2, no longer needed
  * debian/versions
    - update ABI/API versions
  * debian/control
    - drop explicit b-d on python3.6-dev; Closes: #916821

 -- Sandro Tosi <morph@debian.org>  Mon, 24 Dec 2018 15:26:14 -0500

python-numpy (1:1.15.4-2) unstable; urgency=medium

  * debian/patches/python3-soabi.patch
    - fix skip syntax
  * debian/tests/control
    - switch from nose to pytest

 -- Sandro Tosi <morph@debian.org>  Thu, 22 Nov 2018 18:02:32 -0500

python-numpy (1:1.15.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - switch from nose to pytest
    - b-d on libatlas-base-dev
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/copyright
    - add notice for doc/scipy-sphinx-theme/
  * debian/patches/*
    - refresh, drop patch merged upstream
  * debian/rules
    - run tests from debian/, to avoid pytest ImportMismatchError

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Nov 2018 19:59:10 -0500

python-numpy (1:1.14.5-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jun 2018 19:33:00 -0400

python-numpy (1:1.14.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Sandro Tosi ]
  * New upstream release; Closes: #898776

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jun 2018 21:02:36 -0400

python-numpy (1:1.14.3-2) unstable; urgency=medium

  * debian/control
    - move docutils, matplotlib, sphinx from b-d-i to b-d, needed to build doc

 -- Sandro Tosi <morph@debian.org>  Sat, 05 May 2018 18:57:59 -0400

python-numpy (1:1.14.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/rules: Remove trailing whitespaces

  [ Stuart Prescott ]
  * add debhelper sequence to support --with numpy,numpy3; Closes: #897602

  [ Sandro Tosi ]
  * New upstream release; Closes: #872459, #896633
  * debian/watch
    - switch back to use pypi.debian.net redirector
  * debian/patches
    - refresh for new upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/versions
    - bump API version to 12
  * debian/rules
    - comment f2py.1 installation, no longer available upstream (hopefully only
      temporarily)
  * bump compat to 11, and fix debian/rules to use proper dh sequencer
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/patches/0007-ENH-Add-support-for-the-64-bit-RISC-V-architecture.patch
    - add support for riscv64 architecture; Closes: #894574

 -- Sandro Tosi <morph@debian.org>  Sat, 05 May 2018 17:06:18 -0400

python-numpy (1:1.13.3-2) unstable; urgency=medium

  * Team upload.
  * Remove unneeded debian/docs and debian/dirs.
  * debian/control:
    + Drop Build-Depends on python3.5-dev.  Closes: #883457
    + Bump Standards-Version to 4.1.2, no changes needed.
    + Add several Multi-Arch tags from the m-a hinter.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Dec 2017 22:14:48 +0100

python-numpy (1:1.13.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.1.1 (no changes needed)
    - remove Prio: extra from debug packages
    - use py3k matplotlib in b-d-i, needed by doc
  * use python3-sphinx to build doc
  * debian/tests/*
    - fix autopkg test dependencies, and atlas and openblas test for multi-arch
      library locations; Closes: #876006
  * debian/rules
    - use the python3 library path to build the doc

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Nov 2017 12:09:11 -0500

python-numpy (1:1.13.1-1) unstable; urgency=medium

  * New upstream release; Closes: #702169
  * debian/version
    - bump api and api-min-version
  * Acknowledge NMUs

 -- Sandro Tosi <morph@debian.org>  Mon, 04 Sep 2017 21:22:47 -0400

python-numpy (1:1.12.1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on the just rebuilt cython.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Sep 2017 07:45:52 +0200

python-numpy (1:1.12.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * "No-change" upload to rebuild with pythonX.Y not using the _fpectl module.
  * Tighten the build dependencies for the pythonX.Y packages (can be dropped
    again once the pythonX.Y packages are available everywhere).

 -- Matthias Klose <doko@debian.org>  Fri, 01 Sep 2017 07:39:42 +0200

python-numpy (1:1.12.1-3) unstable; urgency=medium

  * debian/patches/0007-BUG-Don-t-signal-FP-exceptions-in-np.absolute.patch
    - fix RuntimeWarning on numpy.abs(numpy.nan) on some archs; Closes: #863192

 -- Sandro Tosi <morph@debian.org>  Sat, 27 May 2017 19:44:59 -0400

python-numpy (1:1.12.1-2) unstable; urgency=medium

  * Team upload
  * fix linking manpage in arch-indep build (Closes: #859619)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 05 Apr 2017 12:26:43 +0200

python-numpy (1:1.12.1-1) unstable; urgency=medium

  * New upstream bugfix release (Closes: #859019)
  * debian/patches/0007-BUG-fix-wrong-masked-median-for-some-special-cases.patch
    dropped, applied upstream

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 04 Apr 2017 15:08:27 +0200

python-numpy (1:1.12.0-2) unstable; urgency=medium

  * debian/patches/0007-BUG-fix-wrong-masked-median-for-some-special-cases.patch
    - fix wrong masked median for some special cases; Closes: #851858

 -- Sandro Tosi <morph@debian.org>  Thu, 19 Jan 2017 19:34:19 -0500

python-numpy (1:1.12.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - point directly to PyPI while pypi.debian.net is unavailable

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Jan 2017 12:15:17 -0500

python-numpy (1:1.12.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate
    - let linspace accept input that has an array_interface: Closes: #842348
    - add a lock to assert_equal and other testing functions: Closes: #849196
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2017 22:37:36 -0500

python-numpy (1:1.12.0~b1-1) unstable; urgency=medium

  * New upstream beta release
  * debian/watch
    - use PyPI redirector, upstream declared PyPI the preferred way to retrieve
      Numpy tarball
  * debian/control
    - update X-Python{,3}-Version fields

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Dec 2016 21:40:13 -0500

python-numpy (1:1.11.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - remove Julian from Uploaders (to reflect reality): please come back as
      soon as you have more time!
    - set me to Maintainer, team as Uploaders

 -- Sandro Tosi <morph@debian.org>  Sat, 08 Oct 2016 19:48:11 -0400

python-numpy (1:1.11.2~rc1-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release candidate

  [ Ondřej Nový ]
  * New upstream release
  * d/contorl: Removed XS-Testsuite
  * Fixed typo in dh_numpy (1) manpage
  * d/copyright: Fixed typo in word univer(s)ity
  * Removed lintian override for extra-license-file

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Sep 2016 19:54:04 +0100

python-numpy (1:1.11.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 30 May 2016 21:41:04 +0100

python-numpy (1:1.11.0-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release: Closes: #816369, #813429, #813932, #816574
  * debian/control
    - bump Standards-Version to 3.9.7 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Apr 2016 09:47:40 +0100

python-numpy (1:1.11.0~b3-1) unstable; urgency=medium

  * New upstream beta release
  * debian/control
    - switch Vcs-Git to HTTPS

 -- Sandro Tosi <morph@debian.org>  Sat, 13 Feb 2016 23:06:52 +0000

python-numpy (1:1.11.0~b2-1) unstable; urgency=medium

  * New upstream beta release
  * debian/copyright
    - update upstream copyright notice
  * debian/rules
    - upstream deprecated setup.py clean, so replace dh_auto_clean with an
      explicit rm of the build/ dir
  * debian/python-numpy.docs
    - DEV_README was dropped, removed
  * debian/control
    - add setuptools to b-d

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Jan 2016 00:44:41 +0000

python-numpy (1:1.10.4-2) unstable; urgency=medium

  * debian/patches/0006-disable-asserts-on-ppc-with-broken-malloc-only-longd.patch
    - recovered from the uploads to sid, needed to fix a FTBFS on powerpc

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jan 2016 18:24:12 +0000

python-numpy (1:1.10.4-1) unstable; urgency=medium

  * New upstream release
    - fix a typo in help(numpy.kron); Closes: #777172
    - generate the referene content in the doc; Closes: #804479
  * debian/copyright
    - extend packaging copyright notice
  * dh_numpy and dh_numpy3 use 2 different files from where to read the
    versions, thus making the py3k package indipendent of the python2;
    Closes: #797943
  * debian/rules
    - dont fail when files are missing if we are running dpkg-bp -A;
      Closes: #806099
  * debian/patches/0005-Dont-fail-if-we-cant-import-mingw32.patch
    - skip the import of mingw32(), needed for the version.helper scripts

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jan 2016 22:58:41 +0000

python-numpy (1:1.10.0~b1-1) experimental; urgency=medium

  * New upstream beta release
  * debian/patches/*
    - refreshed for new upstream code
  * debian/versions
    - bump API version to 10
  * debian/control
    - require nose version 1.0 or later
  * debian/copyright
    - extend upstream packaging years
    - remove/update copyright notice for updated files

 -- Sandro Tosi <morph@debian.org>  Wed, 12 Aug 2015 21:51:29 +0100

python-numpy (1:1.9.2-5) unstable; urgency=medium

  * debian/patches/ppc_noassert.patch
    - fix 'if defined()' syntax, and select only powerpc and not powerpc64 as
      well; thanks to Emilio Pozuelo Monfort

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Oct 2015 23:30:10 +0100

python-numpy (1:1.9.2-4) unstable; urgency=medium

  * debian/patches/ppc_noassert.patch
    - use the same powerpc macro as used in npy_cpu.h

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Oct 2015 20:17:05 +0100

python-numpy (1:1.9.2-3) unstable; urgency=medium

  * debian/patches/ppc_noassert.patch
    - disable assert on PowerPC due to broken malloc; thanks to Julian Taylor
      for the patch; Closes: #800392

 -- Sandro Tosi <morph@debian.org>  Wed, 30 Sep 2015 21:23:26 +0100

python-numpy (1:1.9.2-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Tue, 11 Aug 2015 22:56:27 +0100

python-numpy (1:1.9.2-1) experimental; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Apr 2015 18:49:50 +0100

python-numpy (1:1.9.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.6 (no changes needed)
    - add dh-python to b-d
  * debian/patches/02_build_dotblas.patch
    - refresh due to new code
  * debian/{python-numpy-doc.install, patches/adapt_swig_docs_to_debian.patch}
    - install SWIG interface for Numpy; thanks to Julian Taylor for the report;
      Closes: #703001
  * debian/rules
    - don't ignore failures when running unittests; Closes: #721100

 -- Sandro Tosi <morph@debian.org>  Sun, 08 Feb 2015 19:00:36 +0000

python-numpy (1:1.9.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - added support for or1k (Closes: #749195)
  * debian/{rules,python-numpy-doc.install,python-numpy.manpages}:
    f2py documentation moved to same tree as the rest
  * debian/python{,}3-numpy.install:
    oldnumeric and numarray have been removed
  * drop upstream applied ppc64el_cpu_config.patch

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 02 Sep 2014 21:28:36 +0200

python-numpy (1:1.8.2-2) unstable; urgency=medium

  * ppc64el_cpu_config.patch: add ppc64el support (Closes: #756403)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 24 Aug 2014 11:10:34 +0200

python-numpy (1:1.8.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 09 Aug 2014 12:56:52 +0200

python-numpy (1:1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release
    - remove upstream applied quantities-linspace.patch
    - remove upstream applied restore-3kcompat-api.patch

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 27 Mar 2014 19:29:12 +0100

python-numpy (1:1.8.1~rc1-2) unstable; urgency=medium

  * fix -arch build by only calling dh_sphinxdoc in -indep
  * quantities-linspace.patch: avoid breaking python-quantities

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 13 Mar 2014 18:40:56 +0100

python-numpy (1:1.8.1~rc1-1) unstable; urgency=low

  * New upstream bugfix release candidate
    - removed python-numpydoc from b-d, upstream tarballs includes it again
    - fixes insecure mktemp usage of f2py (Closes: #737778)
  * add autopkgtests running testsuite with different BLAS and testing f2py
    and distutils (Closes: #695881)
  * use dh_python2 instead of deprecated pysupport
  * 50_search-multiarch-paths.patch: drop, applied upstream
  * build depend on cython and cythonize mtrand.pyx (Closes: #710177)
  * move documentation build depends to -indep (Closes: #739019)
  * run tests in verbose mode (Closes: #724611)
  * python3-soabi.patch: fix ctypeslib for python3 soabi in extension filenames
  * debian/python3-numpy-dbg.install:
    - fix duplicate files in dbg package of kfreebsd (Closes: #740318)
  * bump Standards-Version to 3.9.5 (no changes needed)
  * restore-3kcompat-api.patch:
    add upstream patch to restore private api used by matplotlib

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 02 Mar 2014 15:33:25 +0100

python-numpy (1:1.8.0-1) experimental; urgency=low

  * New upstream release; Closes: #724047, #701920, #710177
  * debian/copyright
    - added new files' copyright
  * debian/README.Debian
    - removed, obsolete
  * debian/patches/40_m68k_long_double_format.diff
    - removed, merged upstream
  * debian/patches/*
    - refreshed
  * debian/python-numpy.docs
    - no longer install benchmark dir, removed upstream
  * debian/versions
    - bump API version to 9
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)
    - bump minimum python version requirements
    - added python-numpydoc to b-d, needed to build doc

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Nov 2013 13:18:24 +0100

python-numpy (1:1.7.1-5) unstable; urgency=high

  * Team upload
  * Brown-paper bag upload to fix the dbg packages in kfreebsd
    (Closes: #740318 for real).

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Mar 2014 11:14:12 +0100

python-numpy (1:1.7.1-4) unstable; urgency=high

  * Team upload
  * Urgency high to fix coinstallability of kfreebsd in testing.

  [Julian Taylor]
  * debian/python3-numpy-dbg.install:
    - fix duplicate files in dbg package of kfreebsd (Closes: #740318)

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Mar 2014 14:16:36 +0100

python-numpy (1:1.7.1-3) unstable; urgency=medium

  * Team upload.
  * Medium urgency for RC bug fix
  * Fix regex for python3 debug .so files so kfreebsd .so files aren't removed
    in error (Closes: #718900)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Aug 2013 00:19:00 -0400

python-numpy (1:1.7.1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * In debian/rules, use python abiflags to find include directories for both
    python3.2 and python3.3 (mu/dmu versus m/dm); thanks to Julian Taylor for
    the report and patch; Closes: #705346

  [ Sandro Tosi ]
  * upload to unstable; that implicitly supports Python 3.3; thanks to Lucas
    Nussbaum for the report; Closes: #707461

 -- Sandro Tosi <morph@debian.org>  Mon, 10 Jun 2013 20:27:13 +0200

python-numpy (1:1.7.1-1) experimental; urgency=low

  * New upstream release
  * Acknowledge NMU as of 1.6.2-1.2; Closes: #700718, #700994

 -- Sandro Tosi <morph@debian.org>  Mon, 08 Apr 2013 21:39:55 +0200

python-numpy (1:1.7.0-1) experimental; urgency=low

  * New upstream release
  * debian/copyright
    - added packaging copyright for my contributions
  * Acknowledge NMU as of 1.6.2-1.1 ; Closes: #685812

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Feb 2013 21:24:57 +0100

python-numpy (1:1.7.0~rc2-1) experimental; urgency=low

  [ Sandro Tosi ]
  * New upstream release candidate
  * debian/patches/40_m68k_long_double_format.diff
    - updated to new upstream code

  [ Yaroslav Halchenko ]
  * debian/rules
    - safe-guard all for loops with 'set -e; ' to prevent uncaught failures;
      Closes: #695955

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Feb 2013 21:48:46 +0100

python-numpy (1:1.7.0~rc1-1) experimental; urgency=low

  * New upstream release candidate
  * debian/control
    - updated Homepage field
    - adjusted supported Python3 versions (>= 3.1)

 -- Sandro Tosi <morph@debian.org>  Sun, 30 Dec 2012 12:23:06 +0100

python-numpy (1:1.7.0~b2-1) experimental; urgency=low

  * New upstream beta release

 -- Sandro Tosi <morph@debian.org>  Sat, 29 Sep 2012 10:46:38 +0200

python-numpy (1:1.7.0~b1-1) experimental; urgency=low

  * New upstream beta release
  * debian/rules
    - install f2py3 command and relative manpages; thanks to Julian Taylor for
      the report and patch; Closes: #675694
  * debian/watch
    - updated to identify beta releases
  * debian/copyright
    - extend upstream copyright years
    - updated to new upstream code
  * debian/versions
    - bump C_API_VERSION to 7
  * debian/control
    - added python{,3}-tz to b-d, needed to run tests
  * debian/patches/*
    - updated to new upstream code

 -- Sandro Tosi <morph@debian.org>  Fri, 31 Aug 2012 13:37:44 +0200

python-numpy (1:1.6.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Breaks relationships introduced in previous version. They break
    squeeze -> wheezy upgrades. (Closes: #700718)
  * Install symlinks for Python 3 headers under /usr/include/python3.2mu (resp.
    python3.2dmu) instead of /usr/include/python3.2 (resp. python3.2_d),
    to avoid file versus symlink conflict. (Closes: #700994)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 27 Feb 2013 10:33:24 +0100

python-numpy (1:1.6.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: add versioned Breaks relationship on reverse
    dependencies of python-numpy that are affected by the
    NPY_CHAR/PyArray_CHAR ABI breakage (Closes: #685812)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 08 Feb 2013 21:02:56 +0100

python-numpy (1:1.6.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/50_search-multiarch-paths.patch
    - re-introduce multi-arch paths detection, as a Debian-specific patch, until
      upstream will support a generic solution; Closes: #640940
  * debian/rules
    - fix command to move debug symbols in the right place; thanks to Dave
      Anglin for the report and patch; Closes: #672826

 -- Sandro Tosi <morph@debian.org>  Wed, 30 May 2012 19:38:39 +0200

python-numpy (1:1.6.2~rc1-1) unstable; urgency=low

  * New upstream release candidate
  * Add dh_numpy3, to generate dependencies for Python 3 packages using numpy;
    thanks to Julian Taylor for the report; Closes: #665998
  * debian/watch
    - recognize RC releases
  * debian/patches/{30_fix_unicode_mgmt_py27-32.patch,
                    50_search-multiarch-paths.patch}
    - removed, merged upstream
  * debian/rules
    - link the include directory to the right path to the header files for py3k
      numpy; thanks to Marc J. Driftmeyer for the report; Closes: #670970
    - remove leftover from build process, so the package can be built twice in a
      row; thanks to Jakub Wilk for the report; Closes: #671194
  * debian/python-numpy.links
    - correctly generate symlinks to numarray include files; thanks to Ian
      Zimmerman for the report; Closes: #631677

 -- Sandro Tosi <morph@debian.org>  Thu, 10 May 2012 20:11:16 +0200

python-numpy (1:1.6.1-8) unstable; urgency=low

  * debian/control
    - move python-matplotlib back to b-d, to fix FTBFS on some arch, effectively
      reverting fix for #655014

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Apr 2012 23:26:07 +0200

python-numpy (1:1.6.1-7) unstable; urgency=low

  [ Thorsten Glaser ]
  * debian/control
    - move python-matplotlib to Build-Depends-Indep as it’s only needed when
      building the arch:all documentation package; Closes: #655014

  [ Andreas Schwab ]
  * debian/patches/20_m68k_long_double_format.diff
    - add support for the Motorola 68k big endian long double floating-point
      representation format; Closes: #655388

  [ Sandro Tosi ]
  * Upload to unstable
  * debian/patches/30_fix_unicode_mgmt_py27-32.patch
    - fix Unicode object management with Python 2.7 and 3.2; thanks to Julian
      Taylor for the report; Closes: #664672
  * debian/patches/50_search-multiarch-paths.patch, debian/control
    - add multiarch paths to those searched by Numpy distutils, adding gcc to
      Suggests (it's not needed so often); thanks to Julian Taylor for the
      report and patch (as shipped in Ubuntu); Closes: #640940

 -- Sandro Tosi <morph@debian.org>  Wed, 11 Apr 2012 00:42:00 +0200

python-numpy (1:1.6.1-6) experimental; urgency=low

  [ Thomas Kluyver ]
  * Add package for Python 3; Closes: #601593

  [ Sandro Tosi ]
  * Small fixes for python3 packaging
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
    - remove quild from b-d, not needed since using 3.0 (quilt) format

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Mar 2012 13:05:04 +0100

python-numpy (1:1.6.1-5) experimental; urgency=low

  * debian/versions
    - bump also api-min-version; thanks to Jakub Wilk for noticing it.

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Feb 2012 22:34:35 +0100

python-numpy (1:1.6.1-4) experimental; urgency=low

  [ Yaroslav Halchenko ]
  * debian/rules
    - Check for nocheck instead of notest (policy 4.9.1)

  [ Sandro Tosi ]
  * Release fix for #643873 in experimental too, bumping API version to 6

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Feb 2012 21:44:17 +0100

python-numpy (1:1.6.1-3) experimental; urgency=low

  * debian/{control, rules}
    - run tests at package build time; Closes: #601592

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Sep 2011 23:18:03 +0200

python-numpy (1:1.6.1-2) experimental; urgency=low

  * debian/python.org_objects.inv
    - updated
  * debian/source/include-binaries
    - python.org_objects.inv is now binary so it needs whitelisting
  * debian/rules
    - call dh_sphinxdoc only for binary-indep packages, fixing a FTBFS on all
      the buildbots

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Sep 2011 11:50:35 +0200

python-numpy (1:1.6.1-1) experimental; urgency=low

  * New upstream release; Closes: #633576
    - use DeprecationWarning instead of warning; Closes: #519483
    - fix lapack interface handling of non-native byte order: Closes: #581043
  * debian/python-numpy.docs
    - install benchmarks/ dir in the documentation
  * debian/copyright
    - updated
  * debian/rules
    - adjust pdist versions
    - install debug files where gdb will look for them
  * debian/control
    - remove Ondrej, Alexandre, Matthias, David from Uploaders: thanks for all
      the work you did!
    - bump Standards-Version to 3.9.2 (no changes needed)
    - removed DM-U-A flag, no more needed
    - removed useless fields
  * debian/{control, rules}
    - use dh_sphinxdoc
  * debian/python-numpy-doc.lintian-overrides
    - added to override extra-license-file, generated by a file needed by sphinx

 -- Sandro Tosi <morph@debian.org>  Fri, 16 Sep 2011 20:02:50 +0200

python-numpy (1:1.5.1-4) unstable; urgency=low

  [ Jakub Wilk ]
  * Enhancement to dh_numpy: now it is able to generate dependencies also on
    virtual packages matching Numpy API and ABI versions; this allows the
    packages to declare less strict relationships with python-numpy, improving
    the ability to handle Numpy newer versions transitions. A detailed
    description of the dependencies generation is available in
    README.DebianMaints file. Closes: #643873

  [ Sandro Tosi ]
  * debian/patches/20_sphinx_1.1.2.diff
    - fix a FTBFS with Sphinx 1.1.2 due to autoindex not being allowed in a
      glossary section; thanks to Jakub Wilk for the report; Closes: #655635

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Feb 2012 19:09:17 +0100

python-numpy (1:1.5.1-3) unstable; urgency=low

  * debian/rules
    - make /u/b/f2py{,-dbg} real files (not symlink) with the shebang pointing
      to unversioned python{,-dbg}, this makes the package more binNMU friendly;
      thanks to Jakub Wilk for the report; Closes: #643857

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Oct 2011 11:43:55 +0200

python-numpy (1:1.5.1-2) unstable; urgency=low

  * debian/rules
    - don't compress objects.inv; thanks to Michael Fladischer for the report;
      Closes: #608771

 -- Sandro Tosi <morph@debian.org>  Mon, 04 Apr 2011 15:27:09 +0200

python-numpy (1:1.5.1-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - python-sphinx version 1.0.1 is the minimum required
    - bump Standards-Version to 3.9.1 (no changes needed)
  * debian/patches/{07_bts585309_string_exceptions.diff, changeset_*}
    - removed, available in upstream tarball
  * debian/rules
    - install libnpymath.a; thanks to Martin Hoefling for the report;
      Closes: #596987
    - updated pydist file definition

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Dec 2010 00:14:25 +0100

python-numpy (1:1.4.1-5) unstable; urgency=low

  * debian/patches/10_use_local_python.org_object.inv_sphinx.diff
    - fixed small typo in description
  * debian/patches/changeset_r8364.diff
    - fix memory corruption (double free); thanks to Joseph Barillari for the
      report and to Michael Gilbert for pushing resolution; Closes: #581058

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Oct 2010 10:19:13 +0200

python-numpy (1:1.4.1-4) unstable; urgency=low

  * debian/rules
    - starts providing /usr/share/python/dist/python-numpy file, to be used by
      dh_python2/dh_pysupport for dependency declaration
  * debian/{dh_numpy, python-numpy.install, python-numpy.manpages}
    - added debhelper script dh_numpy that using .../dist/python-numpy adds to
      python:Depends the correct versioned depends on python-numpy; thanks to
      Piotr Ożarowski for providing the script
  * debian/patches/changeset_r8526.diff
    - cherry-picked from upstream SVN patches to define the quad prec little
      endian double on Alpha, fixing the FTBFS on that arch; thanks to David
      Cournapeau for the patch and huge support! Closes: #590481
  * debian/{README.DebianMaints, python-numpy.docs}
    - added a mini-guide/explanation about dh_numpy and/or pydist files

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Jul 2010 00:05:00 +0200

python-numpy (1:1.4.1-3) unstable; urgency=low

  * debian/rules
    - use the python-support specific directory (/usr/lib/pymodules) for the
      symlinks /usr/include/python*/numpy; this correctly installs the header
      files (mainly _numpyconfig.h) used by depending packages; Closes: #589592
  * debian/control
    - removed José Fonseca from Uploaders: thanks for your previous work!
  * debian/patches/changeset_r851{0,1}.diff
    - cherry-picked from upstream SVN patches to correctly detect double long on
      powerppc, fixing the FTBFS on that arch

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Jul 2010 19:42:47 +0200

python-numpy (1:1.4.1-2) unstable; urgency=low

  * debian/rules
    - set MPLCONFIGDIR to a place writable even on buildd, the build dir
      (referenced with `.')

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Jul 2010 20:25:40 +0200

python-numpy (1:1.4.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - removed Marco Presi from uploaders: thanks for your work!
    - added myself to Uploaders
    - added python-sphinx and python-matplotlib to b-d, needed to build doc
    - drop python-numpy-ext, transitional package already in stable
    - bump Standards-Version to 3.9.0 (no changes needed)
    - removed Conflicts: all versions are already older than the ones in lenny
  * New upstream release
  * debian/patches/04_fix_utils_deprecated.patch
    - removed, upstream code has changed
  * debian/patches/05_fix_endianness_detection.patch
    - refreshed for new upstream code
    - disabled, since it generates a corrupted package (left here just in case)
  * debian/copyright
    - updated copyright notice; thanks to Yaroslav Halchenko for the report;
      Closes: #573614
    - added all the missing notices for copyrights & licenses differing from
      main ones
  * debian/rules
    - remove 'get-orig-source' target, no more needed
    - build and install documentation; thanks to Joel for the report;
      Closes: #508113
  * debian/python-numpy.install
    - sorted, it's clearer to read
    - added installation for 'compat', 'matrixlib' and 'polynomial' submodules
  * debian/patches/07_bts585309_string_exceptions.diff
    - added upstream patch (r8463) to remove string exceptions; Closes: #585309
  * debian/{compat, control, rules, *.install, *.doc}
    - switch from cdbs to dh7
  * debian/{control, rules}
    - use system-wide jquery instead of an embedded one
  * debian/python-numpy-doc.doc-base
    - added doc-base
  * debian/patches/10_use_local_python.org_object.inv_sphinx.diff
    - use a local copy of python.org object.inv file instead of downloading it
      from internet at doc build-time
  * debian/patches/03_force_f2py_version.patch
    - added description
  * debian/{control, README.f2py}
    - properly support f2py executables, Suggesting python-dev and gfortran and
      adding a readme file to explain that; thanks to Kevin Mitchell for the
      report; Closes: #586395
  * debian/{control, rules, *.preinst}
    - switch from python-central to python-support
  * debian/python-numpy.docs
    - separate each file in a different line and install README.f2py

  [ Piotr Ożarowski ]
  * debian/control: add XB-Python-Version to python-numpy-dbg package

  [ Kumar Appaiah ]
  * Convert to new source format: 3.0 (quilt) (Closes: #482706)
    + debian/rules: Remove CDBS' quilt related calls.
    + Add debian/source/format which says "3.0 (quilt)".

  [ Jakub Wilk ]
  * Add --prefix=/usr to setup.py in order to appease Python >= 2.6.
  * Move f2pyX.Y-dbg manpages from python-numpy to python-numpy-dbg.
  * Actually build f2pyX.Y-dbg and f2py-dbg binaries.
  * Fix shebangs for f2py* binaries.

  [ Matthias Klose ]
  * Use setup.py install --install-layout; specifying --prefix installs
    into the wrong location.

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Jul 2010 11:50:56 +0200

python-numpy (1:1.3.0-3) unstable; urgency=low

  [ Kumar Appaiah ]
  * debian/patches/05_fix_endianness_detection.patch:
    Force endian.h usage in npy_endian.h. Thanks to Andreas Barth
    for bringing this to our notice. (Closes: #544291)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 26 Aug 2009 14:20:56 -0500

python-numpy (1:1.3.0-2) unstable; urgency=low

  [ Kumar Appaiah ]
  * Fix endianness detection. Closes: #543538.

  [ Matthias Klose ]
  * Do not directly depend on the versioned python2.x packages, but
    keep the versioned interpreter names in the f2py2.x scripts. If these
    are needed with this dependency, then we need a new python-numpy-f2py
    package, for build requirements, a build-dependency on python-all-dev
    should be enough. Closes: #543456.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Aug 2009 16:55:33 +0200

python-numpy (1:1.3.0-1) unstable; urgency=low

  [ Kumar Appaiah ]
  * New upstream release.
    + Fix memory leak in exponentiation. (Closes: #505999)
  * debian/rules:
    + Use quilt instead of simple-patchsys.
    + Add sed magic to fix the f2py2.4 and f2py2.5
      to use the right interpreters.
    + debian/patches:
      - 01_fix_man_hyphens.patch: Removed; merged upstream.
      - 03_force_f2py_version.patch: Add to force generation
        f2py postfixed with interpreter version.
      - 04_fix_utils_deprecated.patch: Fix incorrect comma
        in utils.py. Patch from Yaroslav Halchenko (Closes: #519580)
  * debian/control:
    + Standards version is now 3.8.2 (no changes needed).
    + Remove myself from uploaders.

  [ Matthias Klose ]
  * Add debian/README.source.
  * Bump standards version to 3.8.3.
  * Fix section of the -dbg package.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Aug 2009 22:38:50 +0200

python-numpy (1:1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS caused by “/usr/bin/f2py” no longer being available, leading
    to an impossible rename (Closes: #521525).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 03 Jul 2009 11:13:31 +0200

python-numpy (1:1.2.1-1) unstable; urgency=low

  [ David Cournapeau ]
  * Force numpy to build without ATLAS support, so that no explicit linking
    against ATLAS is done, even when it is installed on the build machine
  * Remove build-conflicts on any atlas-related package
  * Remove build dependency on libfftw3-dev
  * Numpy 1.2 requires python 2.4 or above
  * Add python-nose to Suggests section, since numpy test suite depends on it

  [ Ondrej Certik ]
  * New upstream release
  * ${misc:Depends} added to all binary packages to fix lintian warnings
  * debian/rules: get-orig-source added, to repackage upstream
    sources and add there a missing doc/ directory from the upstream svn (after
    talking with upstream, they suggested to wait for a new numpy release, that
    will also fix the doc/ bug

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 19 Feb 2009 08:47:20 -0800

python-numpy (1:1.1.1-2) unstable; urgency=low

  [ Ondrej Certik ]
  * Added a missing slash in debian/python-numpy.links, thanks so much to
  Sergio Gelato <Sergio.Gelato@astro.su.se> for doing the real work (Closes:
  #499613)

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 20 Sep 2008 16:31:23 +0200

python-numpy (1:1.1.1-1) unstable; urgency=low

  * New upstream release
  * quilt added to build-depends

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 17 Aug 2008 21:03:12 +0200

python-numpy (1:1.1.0-3) unstable; urgency=low

  [ Riku Voipio ]
  * debian/control: atlas is not available on armel, and after a quick look
    neither on alpha. I'd also suggest dropping
    libatlas-sse-dev|libatlas-sse2-dev|libatlas-3dnow-dev alternative combo
    away, these are potentially dangerous on buildd's. Ondrej: dropped.
    (Closes: #489568)

  [ Tiziano Zito ]
  * patch: build _dotblas.c when ATLAS is not installed, build-conflict with
    atlas, build-depend on blas+lapack only, as it used to be (Closes: #489726)

  [ Carlos Galisteo ]
  * debian/control
    - Added Homepage field.

  [ Ondrej Certik ]
  * Checked the package on i386 and amd64, both with and without atlas, all
    tests run and the numpy package is faster if atlas is around.

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 08 Jul 2008 15:08:16 +0200

python-numpy (1:1.1.0-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Also install Numpy documentation in python-numpy-doc (Closes: #486329)
  * debian/control:
    - Update python-numpy-doc's long description to mention that it also
      contains Numpy documentation.

  [ Tiziano Zito ]
  * debian/control, debian/patches/: enable ATLAS support (Closes: #489253)

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 06 Jul 2008 18:28:29 +0200

python-numpy (1:1.1.0-1) unstable; urgency=low

  [ Ondrej Certik ]
  * New upstream release.
  * debian/patches/03_histogram_fix.diff removed, as it is now applied upstream
  * Standards-Version bumped to 3.8.0 (no changes needed)

  [ Andrew Straw ]
  * Install new numpy.ma subpackage

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 09 Jun 2008 17:02:31 +0200

python-numpy (1:1.0.4-8) unstable; urgency=medium

  [ Kumar Appaiah ]
  * debian/rules:
    + Add the --single-version-externally-managed flag.
  * debian/patches/03_histogram_fix.diff:
    + Patch from Manuel Metz to fix numpy.histogram. (Closes: #470293)
  * debian/python-numpy.install:
    + Install the egg-info file. (Closes: #477243)
  * debian/control:
    + Update Kumar Appaiah's e-mail address to the debian.org
      address.

  [ Chris AtLee ]
  * debian/control
    + Update description to clarify relationship between numpy and
      python-(numarray|numeric).

  [ Kumar Appaiah ]
  * debian/rules: Fix symlinks for include file location change
    due to pycentral modification. (Closes: #478496)

 -- Ondrej Certik <ondrej@certik.cz>  Wed, 30 Apr 2008 13:52:37 +0200

python-numpy (1:1.0.4-7) unstable; urgency=low

  * Sync from ubuntu (Closes: #470698).
    - Applied all ubuntu changes, except ubuntu's specific from debian/control
  * debian/pyversions removed as it is not necessary now

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 13 Mar 2008 00:42:09 +0100

python-numpy (1:1.0.4-6ubuntu1) hardy; urgency=low

  * Sync from debian unstable.
    - All existing Ubuntu changes are now in Debian.
  * debian/rules: Unset LDFLAGS, as numpy's distutils is braindead and FTBFS.
    (LP: #199031)
  * debian/python-numpy.links: Reference /usr/share/pyshared, rather than the
    old python-central-specific directory.
  * debian/control: Comply with DebianMaintainerField.

 -- William Grant <william.grant@ubuntu.org.au>  Sat, 08 Mar 2008 12:56:12 +1100

python-numpy (1:1.0.4-6) unstable; urgency=low

  [ Kumar Appaiah ]
  * Remove unnecessary README.numpy-dbg.
  * debian/control:
    + Build using gfortran, libblas-dev, liblapack-dev. (Closes: #464784)
    + Conflict with python-scipy (<= 0.6.0-6), python-matplotlib (<< 0.90.1-3),
      built with g77.
    + Add build-conflict with atlas3-base-dev.
    + Build again using python-central as done up to version 1:1.0.4-2.
    + Spell python with small `p', as per new description norms.
  * debian/rules:
    + Add proper symlinks in /usr/include/python<version>/numpy
      for numpy headers.
    + Include symlinks for debug package.
  * debian/python-numpy.links:
    + Symlink old numarray headers to numpy include directory.
      (Closes: #463007)
  * debian/copyright:
    + Fix by adding copyright date and symbol.

  [ Ondrej Certik ]
  * Package description update: python -> Python (fixes a lintian warning)

 -- Ondrej Certik <ondrej@certik.cz>  Wed, 20 Feb 2008 15:06:55 +0100

python-numpy (1:1.0.4-5) unstable; urgency=low

  [ Kumar Appaiah ]
  * debian/control:
    + Change fftw3-dev build dependency to
      libfftw3-dev. (Closes: #458235)

  [ Sandro Tosi ]
  * debian/control
    - uniforming both Vcs-Svn and Vcs-Browser fields

  [ Kumar Appaiah ]
  * debian/rules:
    + Don't remove /usr/share/python-support/python-numpy-dbg, even
      though it is empty, to prevent python-numpy-dbg
      from becoming uninstallable.
    + Add a README.numpy-dbg to explain the emptiness of
      /usr/share/python-support/python-numpy-dbg.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 06 Jan 2008 07:36:20 +0530

python-numpy (1:1.0.4-4) unstable; urgency=medium

  * debian/patches:
    + 02_dontuse_lapack.diff: Patch system_info.py not to look for
      Atlas, as we want to build against the reference BLAS and
      LAPACK (refblas3-dev and lapack3-dev) even when Atlas is around.
      (Closes: #448530, #457329)
  * debian/python-numpy.links:
    + Symlink the numpy include directory to appear in
      /usr/include/numpy to adhere to the FHS. (Closes: #457060).
  * debian/control:
    + Set python-numpy-doc and python-numpy-ext to Architecture: all.
    + Don't call dh_python for python-numpy-ext.
  * debian/TODO*:
    + Not relevant, as all issues have been taken care of.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sat, 22 Dec 2007 22:19:32 +0530

python-numpy (1:1.0.4-3) unstable; urgency=low

  [ Kumar Appaiah ]
  * debian/pyversions: Build for Python 2.4 onwards.
  * debian/control:
    + Update Standards Version to 3.7.3. (No changes needed)
    + Move to python-support. Update Build-Depends.
    + {XS,XB}-Python-Versions no longer required.
  * debian/changelog:
    + Replace pycentral with pysupport.

  [ Ondrej Certik ]
  * debian/pycompat removed

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 17 Dec 2007 17:26:57 +0100

python-numpy (1:1.0.4-2) unstable; urgency=low

  * DM-Upload-Allowed changed to XS-DM-Upload-Allowed
  * Removed build-conflicts, since the package builds without them and it
    fails to build on buildbots with them

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 04 Dec 2007 22:26:52 +0100

python-numpy (1:1.0.4-1) unstable; urgency=low

  [ Kumar Appaiah ]
  * New upstream release.
  * debian/control:
    + Don't build python-numpy-dev. Make python-numpy provide it.
    + Add Conflicts to all packages to python-numpy and
      provide python-f2py.
  * debian/rules:
    + Don't use pycentral's nomove.
    + Move f2py manpage installation to python-numpy.
  * debian/python-numpy.install:
    + Merge back the python-f2py.install files.
  * debian/python-numpy.manpages:
    + Move f2py manpage to python-numpy.

  [ Ondrej Certik ]
  * Changed maintainer from deb-scipy to DPMT, removed deb-scipy from
    Uploaders
  * Kumar Appaiah added into Uploaders.
  * Short description improved to use NumPy instead of the old Numerical Python

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 04 Dec 2007 15:38:59 +0100

python-numpy (1:1.0.3-2) unstable; urgency=low

  [ Ondrej Certik ]
  [Jonas Smedegaard]
  * Fix installing both versioned and unversioned f2py (Closes: 450443)

  [Ondrej Certik]
  * Added DPMT and Ondrej Certik to Uploaders field
  * XS-Vcs-Svn and XS-Vcs-Browser fields added

  [ Fabio Tranchitella ]
  * Add DM-Upload-Allowed: yes

  [ Kumar Appaiah ]
  * debian/control:
    + Move XS-Vcs-* to Vcs-*, as dpkg supports them now.
    + Move ${Source-Version} to ${binary:Version}
    + Move python-numpy-doc to section doc.
    + Alter -dbg package description, shorten it.
    + Split -ext package description to two lines.
  * debian/rules:
    + Symlink the f2py man page for f2py$(PYVER)-dbg as well.
    + Remove DEB_TAR_SRCDIR.
  * debian/patches:
    + Add 01_fix_man_hyphens.patch to fix hyphens in f2py.1.
  * debian/watch: Added.

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 30 Nov 2007 12:27:18 +0100

python-numpy (1:1.0.3-1) unstable; urgency=low

  * New upstream version.
  * Merge from Ubuntu:
    - Build the extension for the python debug interpreter.
    - Bump debian/compat to 5.

 -- Matthias Klose <doko@debian.org>  Thu, 24 May 2007 08:54:44 +0200

python-numpy (1:1.0.2-3) unstable; urgency=low

  * rebuilt in an unstable environment (Closes: 423633)

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu, 17 May 2007 14:13:25 +0100

python-numpy (1:1.0.2-2) unstable; urgency=low

  * Built with new debian-defaults (support python 2.5) (Closes: 414975)

 -- Marco Presi (Zufus) <zufus@debian.org>  Wed,  9 May 2007 09:22:05 +0100

python-numpy (1:1.0.2-1) experimental; urgency=low

  * New upstream version
  * Due to another ABI change, I added a conflict on packages that require a binary NMU

 -- Marco Presi (Zufus) <zufus@debian.org>  Sat, 21 Apr 2007 17:34:45 +0100

python-numpy (1:1.0.1-8) unstable; urgency=low

  * Upload to unstable

 -- Marco Presi (Zufus) <zufus@debian.org>  Wed, 14 Mar 2007 13:40:05 +0000

python-numpy (1:1.0.1-7) experimental; urgency=low

  * Removed circular dependencies between pyhton-numpy and
    python-numpy-dev (Closes: 413160)

 -- Marco Presi (Zufus) <zufus@debian.org>  Tue,  6 Mar 2007 07:23:20 +0000

python-numpy (1:1.0.1-6) experimental; urgency=low

  * Build depends on gfortran instead of g77

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu,  1 Mar 2007 00:51:50 +0000

python-numpy (1:1.0.1-5) unstable; urgency=low

  * Upload in unstable.

 -- Marco Presi (Zufus) <zufus@debian.org>  Mon, 26 Feb 2007 00:41:08 +0000

python-numpy (1:1.0.1-4) experimental; urgency=low

  * Re-added fftw3-dev as Build-Dep.

 -- Marco Presi (Zufus) <zufus@debian.org>  Mon, 19 Feb 2007 15:50:36 +0000

python-numpy (1:1.0.1-3) unstable; urgency=low

  * Moved f2py files back in python-numpy;
    python-numpy to depend on python-numpy-dev (closes: #410944)

 -- Marco Presi (Zufus) <zufus@debian.org>  Mon, 19 Feb 2007 02:01:10 +0000

python-numpy (1:1.0.1-2) unstable; urgency=medium

  * Fix memory error in polymul. Closes: #410757.
  * Install additional f2py files. Closes: #410067.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Feb 2007 02:41:15 +0100

python-numpy (1:1.0.1-1) unstable; urgency=medium

  * Merge python-numpy-ext with python-numpy; make python-numpy-ext
    an empty transitional package.

 -- Matthias Klose <doko@debian.org>  Sun,  7 Jan 2007 10:14:30 +0000

python-numpy (1:1.0.1-0) experimental; urgency=low

  * New upstream release (final release).
  * Update conflicts with scipy (<< 0.5.2) and matplotlib (<< 0.87.7).
  * Remove redundant (build-)dependencies.

 -- Matthias Klose <doko@debian.org>  Wed,  3 Jan 2007 22:15:27 +0100

python-numpy (1:1.0rc1-1) unstable; urgency=low

  * New upstream release

 -- Marco Presi (Zufus) <zufus@debian.org>  Sat, 23 Sep 2006 21:13:18 +0200

python-numpy (1:1.0b5-1) unstable; urgency=low

  * New upstream release
  * Added conflict with scipy (<=0.5.0) and matplotlib (<=0.87.4)

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu,  7 Sep 2006 00:18:41 +0200

python-numpy (1:1.0b4-1) unstable; urgency=low

  * New upstream release

 -- Marco Presi (Zufus) <zufus@debian.org>  Tue, 29 Aug 2006 22:51:32 +0200

python-numpy (1:1.0b2-1) unstable; urgency=low

  * New upstream release

 -- Marco Presi (Zufus) <zufus@debian.org>  Fri, 18 Aug 2006 00:01:21 +0200

python-numpy (1:1.0b1-1) unstable; urgency=low

  * New upstream release
  * Added numarray and oldnumeric to python-numpy

 -- Marco Presi (Zufus) <zufus@debian.org>  Sun, 30 Jul 2006 00:50:55 +0200

python-numpy (1:0.9.8-3) unstable; urgency=low

  * Applied patch from Matthias Klose <doko@ubuntu.com> providing the following:
  * debian/rules:
    - Don't hardcode any python versions.
    - Work around a cdbs bug not calling dh_py* for the -ext package.
    - python-numpy: Add an unversioned f2py script.
  * debian/control:
    - python-numpy-ext: Add Provides, tighten dependency on python-numpy.
  * debian/*.install: Don't hardcode any python versions.

 -- Marco Presi (Zufus) <zufus@debian.org>  Sat, 29 Jul 2006 23:55:06 +0200

python-numpy (1:0.9.8-2) unstable; urgency=low

  * Build-deps: removed atlas2 (José Fonseca <j_r_fonseca@yahoo.co.uk>).
  * Maintainer field updated to Debian Scipy Team.
  * Update to new python policy.

 -- Marco Presi (Zufus) <zufus@debian.org>  Wed,  5 Jul 2006 12:07:29 +0200

python-numpy (1:0.9.8-1) experimental; urgency=low

  * New upstream version

 -- Marco Presi (Zufus) <zufus@debian.org>  Mon,  3 Jul 2006 16:19:17 +0200

python-numpy (1:0.9.5-4) experimental; urgency=low

  * Added numpy/f2py/src

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Sat, 25 Feb 2006 22:59:07 +0000

python-numpy (1:0.9.5-3) experimental; urgency=low

  * Added distutils

 -- Marco Presi (Zufus) <zufus@debian.org>  Sat, 25 Feb 2006 17:32:06 +0100

python-numpy (1:0.9.5-2) experimental; urgency=low

  * Fixed pyhton-f2py and -doc building
  * Added epoch version to make f2py upgradeable

 -- Marco Presi (Zufus) <zufus@debian.org>  Sat, 25 Feb 2006 16:46:02 +0100

python-numpy (1:0.9.5-1) unstable; urgency=low

  * New upstream release

 -- Marco Presi (Zufus) <zufus@debian.org>  Sun, 19 Feb 2006 15:01:33 +0100

python-numpy (0.9.4-2) unstable; urgency=low

  * Package splitting as suggested by Matthias Klose <doko@debian.org>:
    python2.x-f2py
    python-f2py-doc
    python2.x-numpy
    python2.x-numpy-extra

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu, 16 Feb 2006 03:57:01 +0100

python-numpy (0.9.4-1) unstable; urgency=low

  * Initial release Closes.

 -- Marco Presi (Zufus) <zufus@debian.org>  Tue, 14 Feb 2006 00:40:53 +0100

